# MSP::CCS::MillerCylindrical Class Reference

`#include <MillerCylindrical.h>`

Inheritance diagram for MSP::CCS::MillerCylindrical:

List of all members.

## Public Member Functions

| MillerCylindrical (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double falseEasting, double falseNorthing)
| MillerCylindrical (const MillerCylindrical &mc)
| ~MillerCylindrical (void)
MillerCylindrical & | operator= (const MillerCylindrical &mc)
MapProjection3Parameters * | getParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 98 of file MillerCylindrical.h.

## Constructor & Destructor Documentation

MillerCylindrical::MillerCylindrical | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | falseEasting,
|  | double | falseNorthing |
| ) |  |  |

Definition at line 119 of file MillerCylindrical.cpp.

MillerCylindrical::MillerCylindrical | ( | const MillerCylindrical & | mc | ) |

Definition at line 198 of file MillerCylindrical.cpp.

MillerCylindrical::~MillerCylindrical | ( | void |  | ) |

Definition at line 215 of file MillerCylindrical.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * MillerCylindrical::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 262 of file MillerCylindrical.cpp.

MSP::CCS::GeodeticCoordinates * MillerCylindrical::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 313 of file MillerCylindrical.cpp.

MapProjection3Parameters * MillerCylindrical::getParameters | ( |  | ) | const

Definition at line 242 of file MillerCylindrical.cpp.

MillerCylindrical & MillerCylindrical::operator= | ( | const MillerCylindrical & | mc | ) |

Definition at line 220 of file MillerCylindrical.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/miller/MillerCylindrical.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/miller/MillerCylindrical.cpp